curl
curl --request POST \
--url https://data.us.algolia.com/1/sources/6c02aeb1-775e-418e-870b-1faccd4b2c0f/validate \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"name": "lorem",
"input": {
"storeKeys": [
"lorem"
],
"locales": [
"fr-FR"
],
"url": "lorem",
"fallbackIsInStockValue": true,
"productQueryPredicate": "lorem",
"useImagesObjects": true,
"categoriesCustomFieldsFullPath": true,
"customFields": {
"inventory": [
"lorem"
],
"price": [
"lorem"
],
"category": [
"lorem"
]
}
},
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.ValidateSourceBeforeUpdateAsync(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new SourceUpdate { Name = "newName" }
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.validateSourceBeforeUpdate(
sourceID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
sourceUpdate: SourceUpdate(
name: "newName",
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.ValidateSourceBeforeUpdate(client.NewApiValidateSourceBeforeUpdateRequest(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
ingestion.NewEmptySourceUpdate().SetName("newName")))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
WatchResponse response = client.validateSourceBeforeUpdate(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new SourceUpdate().setName("newName")
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.validateSourceBeforeUpdate({
sourceID: '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
sourceUpdate: { name: 'newName' },
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.validateSourceBeforeUpdate(
sourceID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
sourceUpdate = SourceUpdate(name = "newName"),
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->validateSourceBeforeUpdate(
'6c02aeb1-775e-418e-870b-1faccd4b2c0f',
['name' => 'newName',
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.validate_source_before_update(
source_id="6c02aeb1-775e-418e-870b-1faccd4b2c0f",
source_update={
"name": "newName",
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.validate_source_before_update(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
Algolia::Ingestion::SourceUpdate.new(name: "newName")
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.validateSourceBeforeUpdate(
sourceID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
sourceUpdate = SourceUpdate(
name = Some("newName")
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.validateSourceBeforeUpdate(
sourceID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
sourceUpdate: SourceUpdate(name: "newName")
)
// print the response
print(response){
"runID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"createdAt": "<string>",
"data": [
{}
],
"eventID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"events": [
{
"batchSize": 10,
"eventID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"publishedAt": "<string>",
"runID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"status": "created",
"type": "fetch",
"data": {}
}
],
"message": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}Sources
Validate an update of a source payload
Validates an update of a source payload to ensure it can be created and that the data source can be reached by Algolia.
POST
/
1
/
sources
/
{sourceID}
/
validate
curl
curl --request POST \
--url https://data.us.algolia.com/1/sources/6c02aeb1-775e-418e-870b-1faccd4b2c0f/validate \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"name": "lorem",
"input": {
"storeKeys": [
"lorem"
],
"locales": [
"fr-FR"
],
"url": "lorem",
"fallbackIsInStockValue": true,
"productQueryPredicate": "lorem",
"useImagesObjects": true,
"categoriesCustomFieldsFullPath": true,
"customFields": {
"inventory": [
"lorem"
],
"price": [
"lorem"
],
"category": [
"lorem"
]
}
},
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.ValidateSourceBeforeUpdateAsync(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new SourceUpdate { Name = "newName" }
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.validateSourceBeforeUpdate(
sourceID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
sourceUpdate: SourceUpdate(
name: "newName",
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.ValidateSourceBeforeUpdate(client.NewApiValidateSourceBeforeUpdateRequest(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
ingestion.NewEmptySourceUpdate().SetName("newName")))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
WatchResponse response = client.validateSourceBeforeUpdate(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new SourceUpdate().setName("newName")
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.validateSourceBeforeUpdate({
sourceID: '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
sourceUpdate: { name: 'newName' },
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.validateSourceBeforeUpdate(
sourceID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
sourceUpdate = SourceUpdate(name = "newName"),
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->validateSourceBeforeUpdate(
'6c02aeb1-775e-418e-870b-1faccd4b2c0f',
['name' => 'newName',
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.validate_source_before_update(
source_id="6c02aeb1-775e-418e-870b-1faccd4b2c0f",
source_update={
"name": "newName",
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.validate_source_before_update(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
Algolia::Ingestion::SourceUpdate.new(name: "newName")
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.validateSourceBeforeUpdate(
sourceID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
sourceUpdate = SourceUpdate(
name = Some("newName")
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.validateSourceBeforeUpdate(
sourceID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
sourceUpdate: SourceUpdate(name: "newName")
)
// print the response
print(response){
"runID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"createdAt": "<string>",
"data": [
{}
],
"eventID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"events": [
{
"batchSize": 10,
"eventID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"publishedAt": "<string>",
"runID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"status": "created",
"type": "fetch",
"data": {}
}
],
"message": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}Required ACL:
addObject, deleteIndex, editSettingsAuthorizations
Path Parameters
Body
application/json
Response
OK
Last modified on March 23, 2026
Was this page helpful?